devices

Operations of the User Hub API. Paths are relative to your deployment's API host.

GET /api/user-hub-api/devices

List registered devices for the user

Authentication: bearer token (Authorization: Bearer <token>)

StatusDescriptionBody
200application/json DeviceResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/user-hub-api/devices

Register or update a device

Authentication: bearer token (Authorization: Bearer <token>)

Request body: application/json RegisterDeviceDto

StatusDescriptionBody
201application/json DeviceResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

DELETE /api/user-hub-api/devices/{deviceId}

Unregister a device

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
deviceIdpathstringyes
StatusDescriptionBody
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto